<?php if(!defined('PLX_ROOT')) exit; ?>
<?php

# Control du token du formulaire
plxToken::validateFormToken($_POST);

$Labels = array(
	'fr'	=> 'Français',
	'en'	=> 'English',
	'de'	=> 'Deutsch',
	'es'	=> 'Español',
	'it'	=> 'Italiano',
	'nl'	=> 'Nederlands',
	'oc'	=> 'Occitan',
	'pl'	=> 'Polski',
	'pt'	=> 'Português',
	'ro'	=> 'Român',
	'ru'	=> 'Pусский',
);

if(!empty($_POST)) {
	$array1=array();
	$array2=array();
	if(isset($_POST['flags']) AND sizeof($_POST['flags'])>0) {
		foreach($_POST['flags'] as $flag) {
			$array1[$flag] = $_POST['order'][$flag];
			$array2[$flag] = $_POST['label'][$flag];
		}
		uasort($array1, function ($a, $b) {
			return $a - $b;
		});
	}
	$plxPlugin->setParam('flags', implode(",",array_keys($array1)), 'string');
	$plxPlugin->setParam('labels', serialize($array2), 'cdata');
	$plxPlugin->setParam('lang_medias_folder', $_POST['lang_medias_folder'], 'numeric');
	$plxPlugin->setParam('lang_style', $_POST['lang_style'], 'numeric');
	$plxPlugin->setParam('user_lang', $_POST['user_lang'], 'numeric');
	$plxPlugin->setParam('display', $_POST['display'], 'string');

	$plxPlugin->mkDirs();
	$plxPlugin->saveParams();

	unset($_SESSION['default_lang']);
	unset($_SESSION['lang']);
	unset($_SESSION['medias']);
	unset($_SESSION['folder']);
	unset($_SESSION['currentfolder']);
	unset($_SESSION["plxMyMultiLingue"]);
	header('Location: parametres_plugin.php?p=plxMyMultiLingue');
	exit;
}

# Récupération des langues sélectionnées
$flags = $plxPlugin->getParam('flags');
$aFlags = $flags!='' ? explode(',', $flags) : array() ;
$labels = $plxPlugin->getParam('labels');
$aLabels = $labels!='' ? unserialize($labels) : $Labels;
$display = $plxPlugin->getParam('display')!='' ? $plxPlugin->getParam('display') : 'flag';
$user_lang = $plxPlugin->getParam('user_lang') == '' ? 0 : $plxPlugin->getParam('user_lang');

# Récupération et tri des langues en fonction des préférences de l'utilisateur
$aLangs = array_merge($aFlags, array_diff(plxUtils::getLangs(), $aFlags));

$lang_medias_folder = $plxPlugin->getParam('lang_medias_folder')=='' ? 0 : $plxPlugin->getParam('lang_medias_folder');
$lang_style = $plxPlugin->getParam('lang_style')=='' ? 0 : $plxPlugin->getParam('lang_style');
?>
<form method="post" id="form_langs" class="grid">
	<?= plxToken::getTokenPostMethod() ?>
	<div class="table col lrg-4">
		<p><?php $plxPlugin->lang('L_FLAGS') ?></p>
		<table>
			<thead>
				<tr>
					<th>&nbsp;</th>
					<th>&nbsp;</th>
					<th><?php $plxPlugin->lang('L_LABEL') ?></th>
					<th>&nbsp;</th>
					<th><?php $plxPlugin->lang('L_ORDER') ?></th>
				</tr>
			</thead>
			<tbody>
<?php
			# Initialisation de l'ordre
			$order = 0;
			foreach($aLangs as $flag) {
				$order++;
				$selected = in_array($flag,$aFlags) ? 'checked="checked" ' : '';
				if(isset($aLabels[$flag]))
					$label = empty($aLabels[$flag]) ? $Labels[$flag] : $aLabels[$flag];
				else
					$label = $Labels[$flag];
?>
				<tr>
					<td><input type="checkbox" <?= $selected ?> id="flag_<?= $flag ?>" name="flags[<?= $flag ?>]" value="<?= $flag ?>" /></td>
					<td><?= $flag ?></td>
					<td><input size="10" maxlength="30" type="input" id="label_<?= $flag ?>" name="label[<?= $flag ?>]" value="<?= plxUtils::strCheck($label) ?>" /></td>
					<td><img src="<?= PLX_PLUGINS ?>plxMyMultiLingue/img/<?= $flag ?>.png" alt="<?= $flag ?>" width="25" height="15" /></td>
					<td><input size="2" maxlength="2" type="input" id="order_<?= $flag ?>" name="order[<?= $flag ?>]" value="<?= $order ?>" /></td>
				</tr>
<?php
			}
?>
			</tbody>
		</table>
	</div>
	<div class="col lrg-8">
		<fieldset>
			<p class="field"><label for="id_lang_medias_folder"><?= $plxPlugin->lang('L_LANG_MEDIAS_FOLDER') ?>&nbsp;:</label></p>
			<?php plxUtils::printSelect('lang_medias_folder',array('1'=>L_YES,'0'=>L_NO),$lang_medias_folder) ?>
			<p class="field"><label for="id_lang_style"><?= $plxPlugin->lang('L_LANG_STYLE') ?>&nbsp;:</label></p>
			<?php plxUtils::printSelect('lang_style',array('1'=>L_YES,'0'=>L_NO),$lang_style) ?>
			<p class="field"><label for="id_display"><?= $plxPlugin->lang('L_DISPLAY') ?>&nbsp;:</label></p>
			<?php plxUtils::printSelect('display',array('flag'=>$plxPlugin->getLang('L_FLAG'),'label'=>$plxPlugin->getLang('L_LABEL'),'listbox'=>$plxPlugin->getLang('L_LISTBOX')),$display) ?>
			<p class="field"><label for="id_user_lang"><?= $plxPlugin->lang('L_USER_LANG') ?>&nbsp;:</label></p>
			<?php plxUtils::printSelect('user_lang',array('1'=>L_YES,'0'=>L_NO),$user_lang) ?>
		</fieldset>
	</div>
	<p class="in-action-bar">
		<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
	</p>
</form>
